Class UmlArtifact

This class manages 'artifacts'
You can modify it as you want (except the constructor)

Declaration :

- C++ : class UmlArtifact : public UmlBaseArtifact
- Java : class UmlArtifact extends UmlBaseArtifact

Artifact : UmlArtifact

Operation UmlArtifact

Declaration :

- Uml : + UmlArtifact(in id : item_id, in n : string) :
- C++ : public: UmlArtifact(void * id, const QCString & n) : UmlBaseArtifact(id, n)
- Java : public UmlArtifact(long id, String n)

All public operations : addAssociatedArtifact , addAssociatedClass , apply , applyStereotype , associatedArtifacts , associatedClasses , associatedDiagram , children , childrenVisible , cppHeader , cppSource , create , defined_ , deleteIt , description , getIdentifier , identifier_ , idlSource , isMarked , isToolRunning , isWritable , javaSource , kind , kind , markedItems , moveAfter , name , parent , phpSource , properties , propertyValue , pythonSource , referencedBy , removeAllAssociatedArtifacts , removeAssociatedArtifact , removeAssociatedClass , set_AssociatedClasses , set_AssociatedDiagram , set_childrenVisible , set_CppHeader , set_CppSource , set_Description , set_IdlSource , set_isMarked , set_JavaSource , set_Name , set_PhpSource , set_PropertyValue , set_PythonSource , set_Stereotype , stereotype , supportFile , unload , unload